MockFileResource (Grails 6.0.0)

Package: org.grails.core.io

## [Java] Class MockFileResource

- org.grails.core.io.MockFileResource

-     public class MockFileResource
      extends org.springframework.core.io.ByteArrayResource

  Mocks the behavior of a FileResource.

  Authors:
    Graeme Rocher
  Since:
    1.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.String` | `fileName` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MockFileResource (java.lang.String fileName, java.lang.String contents)`
    `MockFileResource (java.lang.String fileName, java.lang.String contents, java.lang.String encoding)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.String` | `getFilename()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.core.io.ByteArrayResource` | `org.springframework.core.io.ByteArrayResource#contentLength(), org.springframework.core.io.ByteArrayResource#getByteArray(), org.springframework.core.io.ByteArrayResource#exists(), org.springframework.core.io.ByteArrayResource#getDescription(), org.springframework.core.io.ByteArrayResource#equals(java.lang.Object), org.springframework.core.io.ByteArrayResource#hashCode(), org.springframework.core.io.ByteArrayResource#getInputStream(), org.springframework.core.io.ByteArrayResource#getURL(), org.springframework.core.io.ByteArrayResource#createRelative(java.lang.String), org.springframework.core.io.ByteArrayResource#readableChannel(), org.springframework.core.io.ByteArrayResource#isReadable(), org.springframework.core.io.ByteArrayResource#getURI(), org.springframework.core.io.ByteArrayResource#isFile(), org.springframework.core.io.ByteArrayResource#lastModified(), org.springframework.core.io.ByteArrayResource#getFilename(), org.springframework.core.io.ByteArrayResource#toString(), org.springframework.core.io.ByteArrayResource#isOpen(), org.springframework.core.io.ByteArrayResource#getFile(), org.springframework.core.io.ByteArrayResource#wait(long), org.springframework.core.io.ByteArrayResource#wait(long, int), org.springframework.core.io.ByteArrayResource#wait(), org.springframework.core.io.ByteArrayResource#getClass(), org.springframework.core.io.ByteArrayResource#notify(), org.springframework.core.io.ByteArrayResource#notifyAll()`

- - ### Field Detail

    - #### private java.lang.String fileName

  - ### Constructor Detail

    - #### public MockFileResource(java.lang.String fileName, java.lang.String contents)

    - #### public MockFileResource(java.lang.String fileName, java.lang.String contents, java.lang.String encoding)

  - ### Method Detail

    - #### @java.lang.Override public java.lang.String getFilename()